Subject: bug#73363: 30.0.91; CJK Font Rendering Behavior Changed

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Sep 2024 20:59:08 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Tomohisa Kuranari <[email-masked]>,  Po Lu
>  <[email-masked]>,  [email-masked]
> Date: Thu, 19 Sep 2024 19:02:26 +0200
> 
> >>>>> On Thu, 19 Sep 2024 19:33:01 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> I cannot reproduce this, but I'm not on macOS.  Can someone reproduce
>     Eli> this on GNU/Linux and/or on macOS?
> 
> On GNU/Linux I get the same result from
> emacs-29 and emacs-30 ("-GOOG-Noto Sans CJK
> KR-regular-normal-normal-*-16-*-*-*-*-0-iso10646-1""
> 
> On macOs it changes from "PingFang SC" to "Arial Unicode MS" when I go
> from emacs-29 to emacs-30
> 
>     Eli> The only changes I see in fontset.el due to Android which could
>     Eli> explain this are supposed to be in effect only when Emacs is built for
>     Eli> Android.  I see quite some changes in macfont.m, but they seem to
>     Eli> affect font's weight and slant, so I'm not sure how that could be
>     Eli> relevant.
> 
> It doesnʼt appear to be either of those. Iʼd bisect, but right now I
> donʼt have time for that.

The OP already pointed to the offending commit: c71a520d1da.  The
problem is that it's a huge merge-commit (it lands Android support),
so it's not easy to see which part of it could cause this.  I see
there a non-trivial change in fontset.c, FWIW.